from turbogears import controllers, expose, widgets, redirect, url
import pkg_resources

static_dir = pkg_resources.resource_filename('jscsstut', 'static')

widgets.register_static_directory('jscsstut', static_dir)

searchform = widgets.TableForm(
    name='searchform',
    fields=[widgets.TextField('query', 
        attrs=dict(onfocus='activate_searchform(this);'))
    ],
    action='search',
    submit_text='Search'
)
searchform.javascript.append(
    widgets.JSLink('jscsstut', 'javascript/searchform.js')
)


class Root(controllers.RootController):
    @expose(template="jscsstut.templates.welcome")
    def index(self):
        redirect(url('/search'))

    @expose(template='.templates.search')
    def search(self, query=None):
        if not query:
            return dict(form=searchform)
        return dict(form=None)
